using SatelliteProvider.Common.Enums;
using SatelliteProvider.DataAccess.Models;

namespace SatelliteProvider.DataAccess.Repositories;

public interface IRegionRepository
{
    Task<RegionEntity?> GetByIdAsync(Guid id);
    Task<IEnumerable<RegionEntity>> GetByStatusAsync(RegionStatus status);
    Task<Guid> InsertAsync(RegionEntity region);
    Task<int> UpdateAsync(RegionEntity region);
    Task<int> DeleteAsync(Guid id);
}

